# 更新历史记录

## WimBuilder2 v2022.02.02
这是一个主要更新。添加和改善了以下内容:

* 改善 对Windows 11系统组件功能完善。 (感谢 @我是小青蛙)
* 新增 俄语资源文件(程序界面)。 (感谢 @Ruslan)
* 更新 界面选项的匈牙利语资源。 (感谢 @La_Valse)
* 改善 支持在我的电脑中对全盘进行搜素。 (感谢 @xmzhqw)
* 更新 PENetwork, Explorer++ 脚本。 (感谢 @Ruslan)
* 新增 Defraggler 脚本。  (感谢 @Ruslan)
* 修复 VC++运行库WinSxS文件添加路径不正确的问题。 (感谢 @Ruslan)
* 改进 快速登录Administrator账户。
* 修复 我的定制(前置)的执行顺序靠后的问题。
* 新增 GetLocaleId 宏命令。
* 改进 Updater更新脚本， 已经下载的更新文件，不再重复下载。

* 新增 StartAllBack 开始菜单。
* 更新 WinXShell 至 v4.6.4
        修复因Defraggler的外壳菜单导致崩溃的问题。

* 其他 细节更新。

## WimBuilder2 v2021.11.11
这是一个常规更新。添加和改善了以下内容:

* 改善 网络支持。
        移动 PPPoE选项至【网络】。
        添加  【网络安全:LAN管理器身份验证级别】选项。使得可以正常连接SMB/CIFS服务。 (感谢 @gasun 反馈问题，并提供解决方法)
* 改善 远程桌面连接选项。解决远程桌面连接访问时，可能造成的认证错误。 (感谢 @gasun 反馈问题，并提供解决方法)

* 更新 WinXShell 至 v4.6.0

## WimBuilder2 v2021.10.10
这是一个主要更新。添加和改善了以下内容:

* 改进 支持更多版本构建。
        修复Windows 11系统MTP无法正常工作的问题。 (感谢 @nianyueriPE)
        修复Windows 11(22000.194)无法启动无线服务的问题。
        修复Windows 11(22000.194)无法正常启动网络状态服务的问题。
        修复22h1的DWM服务导致外壳无法启动的问题。
* 新增 【增强软件支持】（RuntimeKits）组件选项。
        移动 【64位操作系统上支持运行32位应用程序】选项至此界面。
        移动 【VC++ 8,9 运行库】选项至此界面。
        移动 【Microsoft .NET框架】选项至此界面。
        新增 【OpenGL】选项。
        新增 【DriectX】选项。
        新增 【应用程序兼容性】选项。  (感谢 @江南一根葱， @Steven)
        移动 【支持更多应用程序】选项至此界面。
              修复 部分32位浏览器中音频无法播放的问题。  (感谢 @小小)
* 改进 微软中文输入法支持U,V增强输入模式(笔画，符号，中文日期等)。
* 改进 32位摄像头(ECap、webcam 7)软件支持。
* 改进 关于界面的【更新】按钮将自动更新版本到代码仓库的最新版本(master)。
* 修复 使用Classic Shell开始菜单时，无法显示用户头像的问题。
* 修复 将当前设定另存为预设时，当前界面的设定变更无法保存的问题。
* 其他 细节更新。

* 更新 StartIsBack 至 v2.9.16

## WimBuilder2 v2021.08.08
这是一个常规更新。添加和改善了以下内容:

* 改进 支持更多版本构建。
        使用旧版本explorer.exe替换，避免Windows 11预览版外壳无法启动问题。
        修复精简选项导致21h2的网络状态服务无法启动的问题。
        修复精简选项导致欧洲国家语言系统无法正常使用的问题。 (感谢 @La_Valse)
        修复更新版本系统MTP无法正常工作的问题。 (感谢 @hhh333)
* 新增 摄像头设备支持(【设备与打印机】界面）。
* 新增 微软日语输入法。
* 新增 繁体中文资源文件(程序界面)。 (感谢 @ystartgo)
* 更新 界面选项的匈牙利语资源。 (感谢 @La_Valse)
* 调整 将MTP，RNDIS选项从【组件】页面移动至【设备与打印机】界面。
* 其他 细节更新。

* 更新 WinXShell 至 v4.5.3
        修复亮度调节功能占用256MB内存的问题。

* 更新 StartIsBack 至 v2.9.15

注意: MTP，RNDIS选项功能现在需要勾选【设备与打印机】项目。

## WimBuilder2 v2021.06.06
这是一个主要更新。添加和改善了以下内容:

* 改进 支持更多版本构建。
        修复新预览版无法使用Administrator账户问题。
        修复新预览版记事本程序没有关联的问题。
        修复新预览版部分驱动没有签名文件导致无法工作的问题。
        修复新预览版上StartIsBack无法正常显示图标的问题。
        修复某些版本DWM组件无法正常工作的问题。
        修复某些版本文件资源管理器的默认显示布局不是`详细信息`的问题。
        修复使用精简选项导致日文系统无法正确显示文字的问题。
* 改进 支持更多应用软件。
* 修复 蓝牙组件(设备与打印机\蓝牙)未执行的问题。
* 新增 凭据对话框 组件。 (感谢 @Steven)
* 改进 远程桌面服务 组件支持到最新版本。 (感谢 @smine)
* 改进 启动后可立即使用打印机。 (感谢 @noelBlanc)
* 改进 控制面板中可立即添加打印机和蓝牙设备。 (感谢 @noelBlanc)
* 改进 【我的定制(前置)】-【构建事件】选项，新工程可完全自定义对WIM的操作。 (面向 开发者)
        * 新增 附带使用白名单列表事前对WIM进行精简的脚本
* 其他 细节更新

* 更新 StartIsBack 至 v2.9.13

注意: 本次更新会导致面向开发者的构建选项发生变化，构建不正确时，请使用默认预设重新选择。

## WimBuilder2 v2021.04.04
这是一个主要更新。添加和改善了以下内容:

* 改进 支持更多版本构建(新预览版)。
        修复新预览版输入法无法正常使用问题。
        修复新预览版32位应用程序无法运行问题。
* 改进 支持更多应用软件。
* 新增 蓝牙组件(设备与打印机\蓝牙)。
* 修复 搜索文件时，不显示路径的问题。
* 改善 工程界面显示已经测试过的版本信息。
* 改善 支持直接使用ESD文件进行构建(构建速度慢，不推荐)。
* 改善 勾选Windows Media Player组件时，自动使用StartIsBack 2.9.0版本，而非最新版本。
* 改善 【更新】按钮将效验remote.md5是否有效。
* 改进 增强【我的定制】项目
        * 新增 AppData\vendor 目录               (我的定制(后置) 中V2X宏命令将使用此目录下的应用软件)
        * 新增 AppData\vendor\_Cache_ 目录       (保存 我的定制(后置) 中APP宏命令下载的文件)
        * 新增 AppData\vendor\_PEMaterial_ 目录  (我的定制(后置) - `我的工具箱` 的数据目录)
        * 新增 `我的定制(后置) - 启动管理` (10-MyCustom\00-MyLoader) 补丁
            维护个人 pecmd.lua, Pecmd.ini, PecmdAdmin.ini, startnet.cmd
        * 新增 `我的定制(后置) - 我的系统` (10-MyCustom\00-MySystem) 补丁
            可添加额外的系统文件, 个人文件
        * 新增 `我的定制(后置) - 我的驱动` (10-MyCustom\01-MyDrivers) 补丁
            将驱动放入指定目录，将**使用Dism命令自动集成驱动**
        * 新增 `我的定制(后置) - 我的软件` (10-MyCustom\10-MyApps) 补丁
        * 新增 `我的定制(后置) - 我的工具箱` (10-MyCustom\11-MyMaterial) 补丁
        * 改善 `我的定制(后置) - 我的开始菜单` (10-MyCustom\MyStartMenu) 补丁
            将导入同目录的SIB_RegDefault.reg注册表(StartIsBack的个人设定)
* 其他 细节更新

* 更新 StartIsBack 至 v2.9.9
* 更新 WinXShell 至 v4.5

## WimBuilder2 v2021.02.02
这是一个常规更新。添加和改善了以下内容:

* 改进 对20H2版本的支持。
        修复使用精简SOFTWARE注册表选项时，登录不正常问题。
* 改进 对21H(2)版本的支持。
        修正Administrator账户登录界面显示不正常问题。
        修复最新预览版32位应用程序无法运行问题。
* 新增 合并　SYSTEM\DriverDatabase　选项。
* 新增 精简 SYSTEM 注册表(DriverDatabase)选项。
* 新增 精简 COMPONENTS　注册表选项。
* 修复 LuaLink，LuaPin宏命令参数中无法使用引号的问题。
* 修复 去掉`快捷方式`字样选项无效问题。
* 修复 远程桌面服务与网络托盘状态图标冲突问题。
* 修复 X盘根目录残留Temp目录问题。
* 调整 文件资源管理设定的默认值。
* 更新 删除Classic Shell的自定义皮肤(避免Windows Defender误报)。
* 更新 WinXShell的UI组件。
        UI_SystemInfo支持读取OEM信息。
        修复UI_SystemInfo无法正确显示机器名的问题。

注意: Windows Media Player组件和StartIsBack 2.9.8有冲突， 需要WMP的话，请自行降级 StartIsBack 至 2.9.0 版本。

## WimBuilder2 v2021.01.01
这是一个主要更新。添加和改善了以下内容:

* 新增 匈牙利语资源文件(程序界面)。(感谢 @La_Valse)
* 改进 精简选项。根据ISO的系统语言，保留键盘布局文件与en-US\*.mui文件。(感谢 @La_Valse)
* 修复 当使用Github源时，【更新】按钮无法正确执行的问题。
* 改进 提高AddDrivers宏命令执行速度。
* 修复 当不合并DRIVERS注册表时，MTP和RNDIS功能无法使用的问题。(感谢 @小磊)
* 新增 网络选项。独立的网络托盘图标选项(不再依赖网络与共享中心组件)。
* 改进 启动后立即识别当前网络状态。
* 新增 VirtualBox增强工具。便于在主机与虚拟机中的PE间传输文件。
* 改进 ReCopy宏命令。新增 `/-s` 选项，指定此选项时，将不复制子项目。
* 改善 版本号与Copyright的显示信息与install.wim一致。
* 新增 精简DRIVERS选项。
* 改进 精简SOFTWARE选项。
* 更新 WinXShell的UI组件。
        UI_SystemInfo的界面字体，布局进行调整。
        UI_WIFI可直接输入回车键进行连接。
        UI_WIFI的【网络和Internet 设置】可打开【网络连接】页面(更改适配器选项)。
* 更新 WinXShell的Lua脚本。
        可使用Lua函数根据分辨率动态调整DPI设置。
* 改进 可通过UserConfig.cmd定义AppData路径，不需要复制AppData到新版本目录中(需要磁盘支持符号链接)。

## WimBuilder2 v2020.12.12
这是一个主要更新。添加和改善了以下内容:

* 新增 匈牙利语资源文件(程序界面)。(感谢 @La_Valse)
* 改进 对20H2更新版(19042.6XX)支持。
        修复Explorer外壳不能正常工作的问题。(感谢 @KYHI)
* 改善 软件兼容性。补档修复32位浏览器无法下载的问题。(感谢 @Tony379581)
* 改进 网络组件选项。支持仅添加网卡驱动，支持仅添加指定网卡驱动。
* 改善 【重启外壳进程】处理(管理员帐户)。使用系统机制恢复外壳进程。
* 修复 小小输入法状态栏显示不正确的问题。
* 修复 当参数中含有"("、")"字符时，PinToTaskbar宏命令无法固定任务栏图标的问题。
* 新增 可使用`UserConfig.cmd`重定向工作区(_Factory_、_ISO_目录)至其他路径(例如，内存虚拟磁盘)。
* 更新 适配新Windows版本。补充MTP、RNDIS功能所需的签名文件。
* 修复 RS4(17134.1845)，RS5(17763.1613)的更新版本无法驱动音频设备。
* 修复 匈牙利语系统构建时，精简选项可能导致无法启动问题。(感谢 @La_Valse)
* 重构 【我的定制】补丁。
        自定义桌面图标脚本(_CustomDesktopItems.bat)不再依赖【我的定制】选项。
        新增【构建事件】选项，快速编辑自定义脚本。
        新增【简易定制】补丁(原MyCustom)，现在成为了可以选择的项目。
        移除 【我的主题】项目。


注意: 本次更新会产生AppData兼容性破坏的改动，请手动处理:
      AppData目录中的自定义桌面图标脚本(_CustomDesktopItems.bat)的位置发生变动。

## WimBuilder2 v2020.11.11
这是一个主要更新。添加和改善了以下内容:

* 改进 对20H2正式版(19042.508)支持。
        修复注册表中关键系统文件路径不正确的问题。(感谢 @yamingw)
        修复勾选网络支持时，Workstation服务无法启动的问题。
        修复全功能预设无法启动的问题。
* 改进 对21H1预览版支持。补档修复内置输入法无法使用的问题。
* 修复 Windows 7环境下首次运行时，打开文本编辑器出错问题。
* 修复 Windows 7环境下主题功能报错问题。
* 修复 Windows 7环境下【高级】页面无法执行批处理命令。
* 新增 Boot2WinRE补丁(WinPE-HTA，WinPE-WiFi-Package) 。(感谢 @yamingw)
* 修复 Boot\Fonts\msjhn_boot.ttf没有被精简的问题。
* 改进 Chrome, Edge使用高版本内核时，无法播放声音的问题。
* 修复 使用触屏设备时，无法显示光标问题。
* 修复 VMware虚拟机环境下，启动时画面显示不正常问题。(感谢 @550)
* 改善 startnet.cmd启动脚本。隐藏启动窗口(避免误操作导致PE重启)，提高初始化处理速度。
* 改善 【设置】页面新增更新源选项。可以选择从GitHub、Gitee或自定义源进行在线更新(保持个人设定)。
* 改善 使用默认浏览器打开页面中的超链接。

## WimBuilder2 v2020.10.10
这是一个常规更新。添加和改善了以下内容:

* 改进 简化新工程创建。仅Projects\<新工程>\目录即可。
* 改善 状态栏显示小版本号。
* 更新 适配新Windows版本。
* 更新 支持StartIsBack新版本(v2.9.5)。
* 改善 禁用开始菜单电源按钮中的无效菜单。
* 更新 保持DPI相关注册表设定为系统默认值。
* 更新 WinXShell.exe 至 v4.4
       Lua_Helper编译到应用程序本身，减小体积，简化结构，仅应用程序就可支持运行lua代码。
       UI组件：WIFI 支持连接隐藏网络
               WIFI 支持多无线网卡进行网络连接
               日历 支持显示农历信息
               设定 支持修改显示DPI
* 更新 StartIsBack 至 v2.9.5

## WimBuilder2 v2020.08.08
这是一个主要更新。添加和改善了以下内容:

* 修复 我的主题无法显示主题套件图片问题。
* 变动 默认微软中文输入法为英文输入模式。
* 新增 【ISO】-【X驱动器使用exFAT磁盘格式】选项(@朱玛12345678)。
* 修复 Windows更新版本制作时，部分程序无法运行问题（感谢 @vaf 测试与反馈问题）。
* 新增 【开发者模式】下新增ADK可选组件包。
* 新增 【关于】页面添加在线更新按钮(保留已有设定，进行更新)，重启按钮。
* 新增 【高级】页面，可在WimBuilder环境下运行自定义批处理指令。
        例如:`call _Updater --dryrun`仅确认需要更新的文件
        例如:`call _Updater --dir Projects\WIN10XPE\02-Apps`仅更新指定目录
        例如:`call _Updater --file lib\macros\app.cmd`更新指定文件
* 改进 勾选【PE外置集】将自动集成7-Zip程序。
* 改进 注册7z.exe命令，可在PE的启动脚本中使用start 7z.exe ...直接调用。
* 新增 SimplePatchDir宏命令，将调用指定目录中所有的*.bat和*.reg进行构建。

## WimBuilder2 v2020.07.07
这是一个主要更新。添加和改善了以下内容:

* 改进 对21H1预览版支持。补档修复Explorer外壳程序闪退问题。
* 修复 新版本StartIsBack无法显示头像问题(积分任务完成)。
* 改进 预设功能，可在预设文件中隐藏定制选项节点。
* 改善 当前预设(current.js)输出格式。
* 改进 将更多_CustomFiles_中的脚本处理放到AppData的用户脚本中处理。
* 新增 精简注册表选项(原开发者模式选项)。
* 新增 外壳设定界面编辑自定义图标按钮。
* 新增 Explorer++软件。
* 新增 MPC-BE播放器支持补丁。
* 改善 调整目录结构。
* 改善 构建时，输出可用环境变量以及注册表挂载点(开发者)。
* 改善 构建输出信息。
* 新增 MiniPE 子工程(预设方式), @bfgxp 发布的百兆维护PE。

## WimBuilder2 v2020.06.06
这是一个主要更新。添加和改善了以下内容:

* 改进 对20H1正式版支持。补档修复32位应用程序无法运行问题。
* 新增 繁体中文大易，行列输入法(感谢 @ninja0210)。
* 改进 繁体输入法补丁(感谢 @billjrm)。
* 新增 【添加一个网络位置】菜单。
* 新增 添加网络位置菜单支持添加FTP地址。
* 改进 资源管理器支持浏览FTP内容。
* 改善 开始菜单中系统程序快捷方式与通常操作系统一致。
* 修复 Administrator用户加载外置程序时，无法正确创建快捷方式问题。
* 新增 【AppData】用户数据目录。
        auto_config.js将保存至此目录。
        壁纸，开始菜单头像等资源文件移动至此目录。
        当前预设(current.js)与保存的自定义预设将保存至此目录。
        支持将AppData目录中的个人【工程补丁】通过引用方式(LINK)加载到工程中。
* 改进 当选项(例如:壁纸图片)使用工程目录中的文件时，将以相对路径保存。

## WimBuilder2 v2020.05.05
这是一个常规更新。添加和改善了以下内容:

* 修复 WIN7下老版本IE无法打开问题。
* 修复 网络发现缺失的注册表项目，导致个别菜单无法显示问题。
* 修复 电源托盘图标显示不正确的问题。
* 修复 App宏无法下载文件的问题。
* 新增 【PE外置集】-【网络工具】- Chrome。
* 新增 【组件】-【Windows 附件】- 写字板。
* 修复 开始菜单中系统目录及程序快捷方式显示英文的问题。
* 改进 PPPoE支持。支持通过命令行进行拨号连接。
* 修复 【PE外置集】将部分程序复制到错误位置的问题。
* 新增 【设置】-【模式】选项。
       入门模式 - 刚开始使用本软件。将隐藏一些选项，使得选项友好，避免因选项设定不正确导致失败。
       专家模式 - 清楚如何使用本软件及各选项含义。将提供更多选项。
       开发模式 - 清楚本软件的结构及代码, 将提供面向开发者的选项。 
* 修复 在非简体中文系统环境中使用时无法构建的问题。
* 修复 zh-TW语言镜像构建后部分界面显示乱码问题(强制保留mingliu字体)。
* 修复 个别定制节点在非中文环境下，总是显示文件夹名的问题。
* 改善 禁用驱动数字签名验证处理，以支持新的Windows版本。
* 改善 繁体注音输入法依赖。不再依赖完整SOFTWARE注册表。
* 新增 麦克风设备支持。 (感谢 @noelBlanc)
* 新增 【手动加载基本显卡驱动】选项。 (感谢 @立邦电子)

## WimBuilder2 v2020.04.04
这是一个主要更新。添加和改善了以下内容:

* 新增 手动卸载 命令。便于构建后，直接进行二次修改省去挂载时间。
* 新增 导入 aria2 下载工具。支持第三方工具从官方下载。
* 新增 _V-64， _V_64 环境变量。便于匹配官方安装文件名。
* 新增 各存储设备上外置资源加载（可设置为手动加载）。
* 改善 解压工具从7za.exe改为7z.exe，支持解压更多文件格式。
* 新增 App.cmd 宏命令。支持下载第三方软件。
* 新增 外置资源包。
       可改变壁纸，程序关联，注册表优化。
       直接绿色软件，官方安装包，自制精简压缩资源。
       可选择放置在X盘，内置模式；放置到ISO光盘，只读模式；放置到其他驱动器，便携模式。
* 改进 AddFiles宏。可指定提取install.wim文件到指定目录(特定软件的精简组件打包)。
* 新增 是否在桌面显示回收站选项。
* 修正 不设定开始菜单时，默认StartIsBack和ClassicShellMenu都安装的问题。
* 新增 浅色主题设定。
* 修复 强力精简导致，资源管理器中复制文件时发生错误问题。 (感谢 @王乐2518)
* 改进 网络发现不需要完整SOFTWARE注册表。
* 修复 英文PE的文字显示为斜体问题。 (感谢 @hikari_calyx)
* 改进 网络发现支持不再需要完整的SOFTWARE。 (感谢 @Lightning)
* 新增 网络和共享中心“设置新的连接或网络”向导功能。 (感谢 @Lightning)
* 更新 WinXShell.exe 至 v4.3
       LUA加载器：立即显示设备与打印机，蓝牙设备可快速直连。
       外壳：支持自定义主题配色(内置: 蓝色，深色和浅色)。
             直接接管系统音量和WIFI托盘指示图标，支持系统原生右键菜单。
             开始菜单默认显示网络连接菜单，可直接修改适配器属性，拨号连接。
             我的电脑属性默认显示系统属性界面。
             -luacode简化为-code选项。
             新增 wxs-ui, wxs-open 短命令协议接口。
       UI组件：声音，WIFI，日历新增浅色主题风格。 (感谢 @826773297 提供浅色图标资源)
               WIFI 组件新增PPPoE拨号连接，增加滚动条。
               个性化设定界面，增加更多颜色相关设定选项。(Explorer.exe外壳有效)
* 更新 StartIsBack 至 v2.9
       修复20h1之后无法使用任务栏跳转菜单的问题。


外置资源包包含:
  NTBOOTAUTOFIX, SetupXP, UEfix, Notepad3
  BOOTICE, CPU-Z, Dism++, Everything, NTPWEdit, WinNTSetup
  SumatraPDF, Office 2007, Potplayer


## WimBuilder2 v2020.03.03
这是一个常规更新。添加和改善了以下内容:

* 改进 强力精简时，保留Windows 任务管理器 所需的必要文件。
* 修复 高分屏环境，定制界面无法正常显示的问题。
* 新增 【设置】页面，可通过界面更改表示语言，主题，DPI设置。
* 新增 手动卸载wim构建选项，以便直接进行二次修改，节省构建时间。
* 新增 Windows Media Player 组件。
   * Windows Media Player 组件需要使用完整的SOFTWARE，不需要依赖声音支持补丁。
* 改进 对20H2预览版支持。补充字体文件修复显示问题。
* 新增 ISO加载时，显示加载进度条选项。
* 新增 桌面图标大小选项。
* 新增 Classic Start Menu 开始菜单(Classic Shell v4.3.1)。
* 新增 PPPoE拨号。
* 改进 FBWF缓存大小，支持 128GB。
* 新增 预创建Administrator用户配置文件选项。
  * 解决使用WES的fbwf.sys时，系统无法自动创建用户配置文件的问题。
* 改进 对20H2预览版支持。多用户登录功能适配最新预览版(10.0.19569.1000)。


## WimBuilder2 v2020.01.01
这是一个主要更新。添加和改善了以下内容:

* 修复 繁体输入法不可用问题。 (感谢 @2012bear1alex1 测试与反馈)
* 新增 输入法新增繁体输入法(注音，速成，仓颉)选项。
* 修复 强力精简选项导致无线网络不能正常问题。
* 改进 对20H2预览版支持。补档修复IE闪退问题。 (感谢 @James)
* 调整 lua 函数(LINK, , PinToTaskbar, PinToStartmenu)到WinXShell\lua_helper\shell_helper.lua。
* 调整 默认桌面，任务栏，开始菜单图标创建为自定义批处理生成(可删除)。
   `Projects/WIN10XPE/_CustomFiles_/MyCustom/Last/_CustomDesktopItems.bat`
* 改进 使用 构建(日志) 方式时，将保留历史构建日志文件。 (感谢 @Lancelot)
* 新增 "预设另存为 ..." 按钮。
* 调整 界面的显示样式。
* 改进 wim文件卸载时，清理挂载点。 (感谢 @星体投射)
* 新增 删除\sources文件夹精简选项。
* 修复 SYSTEM用户无法使用开始菜单关机按钮问题。
* 修复 当自动登录的确认时间设置为0秒时，无法正常登录问题。 (感谢 @Lancelot 测试与反馈)
* 改进 启用Administrator帐户时，提示对install.wim的版本要求。 (感谢 @Lancelot 测试与反馈)
* 修复 非中文系统下查看"我的主题"定制选项时出错问题。 (感谢 @Lancelot 测试与反馈)
* 新增 主题设置选项(`$wb_settings['theme'] = '<主题名>'`@ config.js )。
* 新增 `snow`主题(v2019.12.12版彩蛋)，`picture`主题(静态背景图)。
* 新增 `春节(the_spring_festival)`主题(http://hello.wimbuilder.world 市场下载)。


## WimBuilder2 v2019.12.12
这是一个常规更新。添加和改善了以下内容:

* 改进 强力精简处理将优先执行，避免删除其他功能新增的文件。
* 改进 强力精简时，保留启用网络和Administrator用户必要文件。 (感谢 @Lightning)
* 改进 清理不可使用的服务的注册表项目。
* 修复 弹出USB设备时，设备名显示不正确问题。(感谢 @Lightning)
* 改进 高兼容性选项。
* 修复 当定制选项中存在逗号(,)时，构建页面显示的信息不正确的问题。
* 改进 命令行模式新增等待(--wait)构建结束参数。
* 改进 内置预设名将根据系统语言显示。
* 新增 "当前"内置预设，将自动保存当前的定制设定。
* 改进 启用Administrator用户时，不再需要完整的SOFTWARE注册表，大幅减少注册表文件体积。
* 改进 驱动签名校验文件处理对老版本的支持(14393 ltsb)。 (感谢 @liuzhaoyzz 测试与反馈)
* 修复 使用WinXShell作为外壳时，复制文件不弹出覆盖确认提示窗口的问题。 (感谢 @星体投射)
* 修复 符号链接文件无法访问的问题。 (感谢 @星体投射)
* 修复 当构建时间过长时，页面弹出脚本运行缓慢的对话框的问题。
* 改进 提供运行系统语言变量，界面语言与系统不符时，个别选项的默认值将使用英文资源，确保可以正常构建。
       (繁体中文系统下，可以通过在config.js中设置语言为zh-CN来使用简体中文界面。)


## WimBuilder2 v2019.11.11
这是一个主要更新。添加和改善了以下内容:

* 新增 Ghost15支持补丁。(_CustomFiles_\MyCustom_Samples\Requirements_Ghost15.bat)
* 修复 使用zh-TW系统源构建时，安全精简选项有效后无法登陆Administrator用户的问题。
* 修复 构建老版本(<17763)系统源时，部分系统文件没有提取问题。
* 修复 构建老版本系统源时，文件属性无法弹出问题。
* 新增 _CustomFiles_\MyCustom\Last目录，简易补丁可以放置在此目录，各补丁main.bat结束后调用。
* 新增 _NavPaneShowAllFolders.bat 文件夹选项设置。
* 新增 _NavPaneHideLibraries.bat 文件夹选项设置。
* 修复  无法从系统中复制文件到手机的问题(MTP)。
* 新增 精简选项(使用精简的imageres.dll)。
* 新增 _FileExplorerInSeparateProcess.bat，外壳与文件资源管理器作为独自进程运行。
* 改进 网络组件对老版本系统的支持。
* 新增 _HighPerformancePowerScheme.bat，电源管理中使用高性能模式。
* 新增 _CustomVisualEffects.reg，使用自定义视觉效果。
* 修复 StartIsBack在最新预览版中导致外壳程序崩溃的问题。
* 更新 设备与打印机组件，打印机功能支持到最新版。
* 新增 命令行接口，可通过自动构建，详细参数请输入--help进行查看。
* 改进 自定义补丁可制作复杂选项。
* 新增 7-zip界面，可以设置扩展名关联。
* 修复 不勾选网络支持时，防火墙没有禁用问题。
* 新增 _Assets_\style.css 文件，支持各补丁界面共同的式样定义。
* 新增 ImDisk虚拟磁盘驱动。
* 改进 多会话模式下对外壳进程进行守护。
* 新增 删除 wbem\Repository 精简选项。
* 新增 ISO设置界面，可以设置是否提示 "Press any key to boot from CD or DVD."。
* 改进 刪除 无效的BitLocker菜单。
* 改进 RNDIS功能在某些设备下无法正常工作的问题。
* 更新 【补丁】菜单改名为【定制】。
* 修复 在Administrator用户下访问资源管理器时，目录展开卡顿的问题。
* 其他细节更新。


## WimBuilder2 v2019.10.10
这是一个主要更新。添加和改善了以下内容:

* 新增 LinkToDesktop, LinkToStartMenu, PinToStartMenu, PinToTaskbar 宏命令。
* 新增 Startup\BeforeShell 目录接口，此目录下的脚本将在外壳程序启动前运行。
* 新增 【安全精简】 选项，刪除字体，其他国家地区键盘布局，迁移工具等不影响其他组件的系统文件。
* 新增 【移除ieframe.dll】选项。
* 新增 【移除WinRE系统故障修复程序(X:\sources)】选项。
* 修复 微软内置输入法 无法显示候选文字问题。
* 新增 对DRIVERS注册表处理选项，可自动识别加载系统自带驱动(如MTP，网卡驱动等)。
* 新增 RNDIS功能，USB连接手机可使用手机共享网络。
* 更新 同步WIN10XPE-2019-09-20更新内容。
* 修复 启用MSI功能时，无法进行管理员帐户登录问题。
* 改进 补丁选项默认值可在补丁目录中定义，不需要再各个预设清单中更新(补丁独立性增强)。
* 添加 我的主题(_CustomFiles_\MyTheme)补丁例子，可自定义不同主题式样，壁纸，音效，开机音乐等。
* 改进 管理员用户登录，及启动初始化脚本分解，使得不同启动管理器共用。
* 新增 自定义管理员名选项。
* 新增 资源精简处理例子(za-Slim\SlimResources)，移除Display.dll, themecpl.dll且不影响功能。
* 更新 使用系统自身机制解决20H1之后无法管理员用户无法加载用户设定问题。
* 修复 20H1之后BitLocker解锁菜单无法自动识别问题。
* 修复 打印机组件无法正常使用问题。(<=17763的版本, 可以使用内置和第三方打印机)
* 修复 20H1之后文本文档无法直接打开，以及没有新建文本文档问题。
* 更新 vendor\WinXShell为4.2版本。
* 新增 随WinXShell 4.2新增的Session管理功能，实现多用户自由切换功能(SYSTEM<=>管理员帐户)。
* 新增 随WinXShell 4.2更新，新增【文件及文件夹选项】设定(显示/不显示隐藏文件，显示/不显示已知扩展名)。
* 新增 WinXShell设置页面。(启用UI_Volume，启用UI_WIFI选项)
* 新增 系统托盘网络，声音图标显示选项。
* 改进 老版本Win10(v1607 长期服务分支 (LTSB) 14393)构建支持。(感谢 liuzhaoyzz 测试与反馈)
* 更新 vendor\StartIsBack为2.8.9版本。
* 新增 doc\History.txt本说明文件。

## WimBuilder2 v2019.09.01.1c7003cc
